
From: Andrew Lunn <andrew@lunn.ch>

Create the pty slaves on init so the behaviour is consistant with 2.4 and 2.6
without devfs.



 25-akpm/drivers/char/pty.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/char/pty.c~pty-devfs-fix drivers/char/pty.c
--- 25/drivers/char/pty.c~pty-devfs-fix	Tue Sep  2 10:12:27 2003
+++ 25-akpm/drivers/char/pty.c	Tue Sep  2 10:12:46 2003
@@ -354,7 +354,7 @@ int __init pty_init(void)
 	pty_slave_driver->init_termios = tty_std_termios;
 	pty_slave_driver->init_termios.c_cflag = B38400 | CS8 | CREAD;
 	pty_slave_driver->flags = TTY_DRIVER_RESET_TERMIOS |
-			TTY_DRIVER_REAL_RAW | TTY_DRIVER_NO_DEVFS;
+					TTY_DRIVER_REAL_RAW;
 	pty_slave_driver->other = pty_driver;
 	tty_set_operations(pty_slave_driver, &pty_ops);
 

_
